# make file for bmgrep.exe
SOURCES =  bm.h bm.c execute.c extern.h\
	getpatf.c global.c makedesc.c makeskip.c \
	matchfnd.c \
	mkdesc.c moveres.c prtline.c putusg.c search.c
OBJECTS = bm.o execute.o \
	getpatf.o global.o makedesc.o makeskip.o \
	matchfnd.o \
	mkdesc.o moveres.o prtline.o putusg.o search.o
BASEFILES = $(SOURCES) Makefile README bm.1
bm: $(OBJECTS)
	ln -f bm.bld -lm87s -lc
bm.o: bm.c bm.h extern.h
	cc bm.c
putusg.o: putusg.c bm.h 
	cc putusg.c
makeskip.o: makeskip.c bm.h 
	cc makeskip.c
search.o: search.c bm.h extern.h
	cc search.c
execute.o: execute.c bm.h 
	cc execute.c
moveres.o: moveres.c bm.h extern.h
	cc moveres.c
matchfnd.o: matchfnd.c bm.h extern.h
	cc matchfnd.c
prtline.o: prtline.c extern.h
	cc prtline.c
mkdesc.o: mkdesc.c bm.h
	cc mkdesc.c
getpatf.o: getpatf.c bm.h
	cc getpatf.c
makedesc.o: makedesc.c bm.h
	cc -c $(CCFLAGS) MakeDesc.c
global.o: global.c
	cc global.c
# end bmgrep.exe
